FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions
ftxui::animation Namespace Reference

The FTXUI ftxui::animation:: namespace. More...

## Namespaces
namespace | easing

## Classes
class | Animator
class | Params

## Typedefs
using | Clock = std::chrono::steady_clock
using | TimePoint = std::chrono::time_point<Clock>
using | Duration = std::chrono::duration<float>

## Functions
void | RequestAnimationFrame ()
| RequestAnimationFrame is a function that requests a new frame to be drawn in the next animation cycle.

## Detailed Description

The FTXUI ftxui::animation:: namespace.

## Typedef Documentation

## ◆ Clock

using Clock = std::chrono::steady_clock

Definition at line 28 of file animation.hpp.

## ◆ TimePoint

using TimePoint = std::chrono::time_point<Clock>

Definition at line 29 of file animation.hpp.

## ◆ Duration

using Duration = std::chrono::duration<float>

Definition at line 30 of file animation.hpp.